Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class MetaArrayLengthProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaArrayLengthProperty

    public class MetaArrayLengthProperty
    extends MetaProperty

Represents a property on a bean which may have a getter and/or a setter

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary

Fields inherited from class MetaProperty
PROPERTY_SET_PREFIX, name, type

Constructor Summary
`MetaArrayLengthProperty()`

Method Summary
`java.lang.Object` | `getProperty(java.lang.Object object)` @return the property of the given object
`void` | `setProperty(java.lang.Object object, java.lang.Object newValue)` Sets the property on the given object to the new value

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MetaArrayLengthProperty

    public MetaArrayLengthProperty()

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.Object object)

  Returns:
    the property of the given object

### setProperty

    public void setProperty(java.lang.Object object, java.lang.Object newValue)

  Sets the property on the given object to the new value
  throws:
    RuntimeException if the property could not be set
  Parameters:
    `object` - on which to set the property
    `newValue` - the new value of the property

Groovy Documentation